Subject: livestock wanted

From: [email-masked]
Date: Sat, 21 Sep 1996 03:08:09 GMT

Reposting article removed by rogue canceller.

I would like to acquire several cocoons of various silkworm moths.  I
would like polyphemus, promethea,cynthia, imperial etc. Our purpose
would be to hatch them out in the spring and release them.  I may be
interested in other moths as long as they are native to PA. Thanks for
your help.